com.io7m.r2.core

## Interface R2DepthVarianceRendererType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType
  All Known Implementing Classes:
    R2DepthVarianceRenderer

      public interface R2DepthVarianceRendererType
      extends R2DeletableType

  The type of renderers that populate depth variance buffers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderDepthVariance(R2DepthVarianceBufferUsableType gbuffer, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the given depth buffer.
    `void` | `renderDepthVarianceWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the currently bound depth buffer.

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### renderDepthVariance

          void renderDepthVariance(R2DepthVarianceBufferUsableType gbuffer,
                                   com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                   R2MatricesObserverType m,
                                   R2DepthInstancesType s)

      Render the given opaque instances into the given depth buffer.
      Parameters:
        `gbuffer` - The depth buffer
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

    - #### renderDepthVarianceWithBoundBuffer

          void renderDepthVarianceWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                                  com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                                  R2MatricesObserverType m,
                                                  R2DepthInstancesType s)

      Render the given opaque instances into the currently bound depth buffer.
      Parameters:
        `area` - The current viewport
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

Copyright © 2016 <code@io7m.com> http://io7m.com